
Foreman - Feature #28161

Use ForemanModal for Bookmarks

10/30/2019 07:52 PM - Jeremy Lenz

Status: Closed   

Priority: Normal   

Assignee: Jeremy Lenz   

Category: JavaScript stack   

Target version:    

Difficulty:  Fixed in Releases: 2.1.0

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/7265

  

Description

Refactor Bookmarks modal in Foreman to use the ForemanModal component.  Also update the file structure.  Depends on #27794

Associated revisions

Revision dc123bb3 - 02/26/2020 10:06 AM - Jeremy Lenz

Fixes #28161: Convert Bookmarks modal to ForemanModal

-Convert Bookmarks modal to ForemanModal

-Update integration tests to account for

ForemanModals in Redux store

-Update ForemanForm to throw non-form-related

JS errors and not swallow them (needed to do this

to discover why some tests were failing)

-Utilize useForemanModal hook for SearchModal

-Refactor SearchModal to add index.js so that

I could add the hook and still separate Redux

dispatches from presentational logic

-For BookmarkForm, pass down setModalClosed as prop

-Refactor BookmarkForm index.js to be explicit about

naming of mapStateToProps and mapDispatchToProps

-update snapshots after Patternfly updates

-rebase; remove old commits; update snapshots

-add Show Modal button to Storybook story

-refactor BookmarkForm inline function

Revision af0de0b6 - 02/26/2020 10:06 AM - Jeremy Lenz

Refs #28161: use selector to get search query

remove BOOKMARKS_SET_QUERY action

  change id to searchBar

Revision 4fdd032e - 02/26/2020 10:06 AM - Jeremy Lenz

Refs #28161 - Bookmarks light refactoring

fix ForemanForm issue

Revision 2cab1360 - 02/26/2020 10:06 AM - Jeremy Lenz

Refs #28161 - fix autocomplete & formik bug

History

#1 - 11/05/2019 04:57 PM - Jeremy Lenz

- Assignee set to Jeremy Lenz

#2 - 12/16/2019 11:18 PM - The Foreman Bot

- Status changed from New to Ready For Testing
https://projects.theforeman.org/issues/27794


- Pull request https://github.com/theforeman/foreman/pull/7265 added

#3 - 02/26/2020 10:06 AM - The Foreman Bot

- Fixed in Releases 2.1.0 added

#4 - 02/26/2020 11:01 AM - Jeremy Lenz

- Status changed from Ready For Testing to Closed

Applied in changeset dc123bb3d67b8e7971b253e22f0c40a749897b13.
